# Class QueueStrategy

#### Implements

- IQueueStrategy

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueStrategy.ts:3

#####
Index

### Constructors

constructor

### Properties

order
settings

### Methods

getNextSource

##
Constructors

### constructor

- new QueueStrategy(settings, order): QueueStrategy

- #### Parameters

  - settings: QueueSettings
  - order: IpfsContentSource[]

  #### Returns QueueStrategy

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueStrategy.ts:8

##
Properties

### order

order: IpfsContentSource[]

Implementation of IQueueStrategy.order

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueStrategy.ts:6

### settings

settings: QueueSettings

Implementation of IQueueStrategy.settings

- Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueStrategy.ts:4

##
Methods

### getNextSource

- getNextSource(source): IpfsContentSource

- #### Parameters

  - source: IpfsContentSource

  #### Returns IpfsContentSource

  Implementation of IQueueStrategy.getNextSource

  - Defined in work/deeplinks/deeplinks/imports/cyber/QueueManager/QueueStrategy.ts:13